> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create US Bank Account

> Add a US Bank Account to a customer account



## OpenAPI

````yaml POST /accounts
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /accounts:
    post:
      tags:
        - Accounts
      summary: Create US Account
      description: Add a US Bank Account to a customer account
      operationId: createUSAccount
      requestBody:
        description: Create US account payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUSAccountReq'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUSAccountResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateUSAccountReq:
      type: object
      required:
        - hold_balance
        - user_id
      properties:
        hold_balance:
          type: boolean
          description: >-
            Indicates if the account should hold balance or balance be swept to
            merchant account
          example: false
        user_id:
          type: string
          example: '12345'
    CreateUSAccountResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/USAccountData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    USAccountData:
      type: object
      properties:
        account_id:
          type: string
          example: 12345hgyd78yuyu9
        account_status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - BLOCKED
        balance:
          type: number
          example: 0
        numbers:
          $ref: '#/components/schemas/Numbers'
    Numbers:
      type: object
      properties:
        ACH:
          $ref: '#/components/schemas/Account'
        RTP:
          $ref: '#/components/schemas/Account'
        WIRE:
          $ref: '#/components/schemas/Account'
    Account:
      type: object
      properties:
        account_number:
          type: string
          example: '0000'
        routing_number:
          type: string
          example: '021000021'

````